Subject: Ticket Assigned - Click & Collect
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Tue, 07 Mar 2023 06:53:36 +0000 (UTC)

Hi Reena kumari,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Click & Collect This is my order I'd 9417534275 
I ordered 2 T shirt on the 5th of this month and I came to the store and placed the order on delivery method but still my item has not arrived at the store. When I went to the store yesterday and inquired, they said that your item has not arrived yet. Why is it so late? https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5803612